PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
spa_callbacks Struct Reference
SPA » Utilities » Interfaces

Callbacks, contains the structure with functions and the data passed to the functions. More...

`#include <spa/utils/hook.h>`

## Data Fields
const void * | funcs
void * | data

## Detailed Description

Callbacks, contains the structure with functions and the data passed to the functions.

The structure should also contain a version field that is checked.

## Field Documentation

## ◆ funcs

const void* spa_callbacks::funcs

## ◆ data

void* spa_callbacks::data

The documentation for this struct was generated from the following file:

- spa/utils/hook.h